package com.hdkj.lt.mq.entity.vo;

import com.hdkj.lt.mq.entity.EvaluationMetric;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.HashMap;
import java.util.Map;
@Data
@NoArgsConstructor
public class SchemeScoreResult {
    private Long schemeId;

    private Map<EvaluationMetric,Double> metricsScores = new HashMap<>();


    private double totalScore;

    public SchemeScoreResult(Long schemeId){
        this.schemeId = schemeId;
    }

    public Map<EvaluationMetric, Double> getMetricsScores() {
        return metricsScores;
    }

    public void setMetricsScores(EvaluationMetric metric,double score) {
        this.metricsScores.put(metric,score);
    }
}
